using BS.Shared;
using System;

namespace BeWo.Data.Entities
{
    public class CustomerAPPCode : BeWoEntityBase
    {

        public static string PropertyName_CustomerCode = "CustomerCode";

        public static string PropertyName_CustomerCodeGenDate = "CustomerCodeGenDate";

        public static string PropertyName_IsChatAktiv = "IsChatAktiv";

        public static string PropertyName_CustomerOid = "CustomerOid";

        private string _CustomerCode;

        private DateTime _CustomerCodeGenDate;

        private long? _CustomerOid;

        private int _IsChatAktiv;


        public virtual string CustomerCode
        {
            get
            {
                return _CustomerCode;
            }

            set
            {
                if (this.AreDifferent(this._CustomerCode, value))
                {
                    this._CustomerCode = value;
                }
            }
        }

        public virtual DateTime CustomerCodeGenDate
        {
            get
            {
                return this._CustomerCodeGenDate;
            }

            set
            {
                if (this.AreDifferent(this._CustomerCodeGenDate, value))
                {
                    this._CustomerCodeGenDate = value;
                }
            }
        }

        public virtual long? CustomerOid
        {
            get
            {
                return this._CustomerOid;
            }

            set
            {
                if (this.AreDifferent(this._CustomerOid, value))
                {
                    this._CustomerOid = value;
                }
            }
        }

        public virtual int IsChatAktiv
        {
            get
            {
                return this._IsChatAktiv;
            }

            set
            {
                if (this.AreDifferent(this._IsChatAktiv, value))
                {
                    this._IsChatAktiv = value;
                }
            }
        }

    }
}